var schedules_profiles_form = $('#schedules_profiles_form');
var schedules_choices = schedules_profiles_form.find('.schedule-choices');
var schedules_inputs = schedules_profiles_form.find('.schedule-inputs');
var profiles = schedules_profiles_form.find('#profile');

$(function() {
	schedules_profiles_form.validate(Validations);

	schedules_choices.each(function() {
		set_input_value($(this).attr('name'), $(this).val());
	});

	schedules_inputs.focusout(function() {
		set_select_value($(this).attr('name'), $(this).val());
		$(this).closest('.column-app').next().find('select').trigger('change');
	});

	schedules_choices.on('change', function() {
		var option = $(this).val();
		if(option.length) {
			set_input_value($(this).attr('name'), option);
			profiles.find('option:last').attr('selected', true);
		}
	});

	profiles.on('change', function() {
		var values = ($(this).val()).split(' ');
		schedules_choices.each(function (index) {
			$(this).val(values[index]);
			set_input_value($(this).attr('name'), $(this).val());
		});
	});

});

function set_input_value(name, value) {
	schedules_profiles_form.find('#' + name + '_static').val(value);
}

function set_select_value(tmp_name, value) {
	var name = tmp_name.split('_')[0];
	if(schedules_profiles_form.find('#' + name).find('option[value="'+value+'"]').length) {
		schedules_profiles_form.find('#' + name).val(value);
	} else {
		schedules_profiles_form.find('#' + name).val('');
	}
}