use telerec;

create table `search_queries` (
    `cdr_query_id` int unsigned not null auto_increment,
    `session_id` binary(20) not null,
    `hash` binary(20) not null,
    primary key (`cdr_query_id`),
    unique (`session_id`, `hash`),
    foreign key (`session_id`) references `rec_sessions` (`session_id`) on delete cascade
) character set utf8 collate utf8_unicode_ci;

create table `search_results` (
  `cdr_query_id` int unsigned not null,
  `cdr_id` int unsigned not null,
  `index` int unsigned not null,
  primary key (`cdr_query_id`, `index`),
  foreign key (`cdr_query_id`) references `search_queries` (`cdr_query_id`) on delete cascade
) character set utf8 collate utf8_unicode_ci;