use `telerec`;

alter table `rec_maintenance`
 change column `convert_to_mp3_cron` `schedule` int unsigned null default null,
 drop column `clear_last_ndays_cron`,
 drop column `clear_less_nseconds_cron`,
 drop column `move_after_convert`,
 change column `move_after_convert_target` `backup_target` varchar(255) null default null,
 modify column `clear_last_ndays` int unsigned null default null,
 modify column `clear_less_nseconds` int unsigned null default null,
 add column `backup_type` varchar(255) null default null after `schedule`;

alter table `rec_ftp_conf`
 add column `id` int unsigned not null auto_increment first,
 add column `maintenance_id` int unsigned null default null after `id`,
 add primary key (`id`),
 add foreign key (`maintenance_id`) references `rec_maintenance` (`id`) on delete cascade;

update `rec_ftp_conf` ftp, `rec_maintenance` m set `ftp`.`maintenance_id` = `m`.`id` where ftp.maintenance_id is null;

update `rec_maintenance` set `tenant_id` = 1 where `tenant_id` is null;