$(function () {
	let form = $("#form-setup-form");
	let passwordViewer = form.find('i.password-viewer');

	//View Password
	passwordViewer.unbind('click');
	passwordViewer.on('click', function (){
		let e = $(this);
		let input = e.parent('span').siblings('input');

		//update icon
		if(e.hasClass('fa-eye')){
			e.removeClass('fa-eye');
			e.addClass('fa-eye-slash');
		}else{
			e.removeClass('fa-eye-slash');
			e.addClass('fa-eye');
		}

		//Update Input
		if(input.attr('type') === 'password'){
			input.prop('type', 'text');
		}else{
			input.prop('type', 'password');
		}
	});

	form.submit(function (e){
		e.preventDefault();

		$.ajax({
			type: "POST",
			url: window.location.pathname,
			data: form.serialize(),
			success: function (response){
				console.log(response);
				location.replace('../')
			},
			error: function (response) {
				toastr.error(response.responseText, 'Form Errors');
			}
		})
	});
});