var form = Ombutel.find('#flags_profiles_form');

$(function() {
	form.validate(Validations);

	form.find('.table-container').repeatable({
		template: "#flags_tpl",
		startWith: 1,
		max: 10,
		onAdd: function(){
			form.find('.flag-picker').selectpicker();
		}
	});

	Ombutel.on('change', '.flag-picker', function() {
		var color = $(this).val();
		if(color.length > 0) {
			$(this).parent().find('.filter-option').css('color' , color);
			$('.flag-picker').selectpicker('render');
		}
	});

	$('.flag-picker').each(function() {
		var color = $(this).data('val');
		$(this).val(color).selectpicker('render');
		$(this).parent().find('.filter-option').css('color', color);
		$('.flag-picker').selectpicker('render');
	});

});