function create_btn_action(cell_content, data, recording_id, cdr_id) {
	var action  = data.action;
	var icon  = data.icon;
	var title  = data.title;
	var color = (typeof data.color !== "undefined" ? data.color : null);
	var onclick_method = (data.onclick_action ? "pbx_request(\'search_calls\', \'recording_actions\', \'"+ action + "\', \'" + recording_id + "\', null, false)" : 'void(0)');

	action = action.replace('_', '-');
	cell_content += '' +
		'<span class="'+ action +'-btn recording-icon toltip" data-recording-id="'+recording_id+'" ' +
		'data-cdr-id="' + cdr_id + '"' +
		'title="' + title + '"' +
		'onclick="javascript:'+onclick_method+'">' +
		'<i class="fa '+ icon +'" '+ ( color ? 'style="color:'+ color +'" ' : '') +'></i>' +
		'</span>';

	return cell_content;
}